#!/bin/bash
# enable the drive module of the pushinfo client

CRONFILE="/etc/cron.d/pi-client-drive"

if [ -x "/etc/rc.local.d/20-drive.sh.dis" ] ; then
   /bin/mv -f /etc/rc.local.d/20-drive.sh.dis /etc/rc.local.d/20-drive.sh
fi

if [ ! -e "${CRONFILE}" ] ; then
   OP_M=$((RANDOM%60))
   cat <<< "${OP_M} 5 * * 0 root /usr/lib/pushinfo/bin/push/pi-push.sh drive" > \
           /etc/cron.d/pi-client-drive
else
   sed -i -E "s:^#([0-9]+):\1:" ${CRONFILE}
fi


